### 2.6 `casinh`, `casinhf`—complex arc hyperbolic sine

Synopsis

         #include <complex.h>
         double complex casinh(double complex z);
         float complex casinhf(float complex z);

Description
These functions compute the complex arc hyperbolic sine of z, with branch cuts outside the interval [-i, +i] along the imaginary axis.

`casinhf` is identical to `casinh`, except that it performs its calculations on `floats complex`.

Returns
These functions return the complex arc hyperbolic sine value, in the range of a strip mathematically unbounded along the real axis and in the interval [-i*p/2, +i*p/2] along the imaginary axis.

Portability
`casinh` and `casinhf` are ISO C99